# flatpak ps

flatpak

Developer
Matthias
Clasen
mclasen@redhat.com
flatpak ps
1

# flatpak-ps

Enumerate running instances

                    flatpak ps
                    OPTION

## Description

Lists useful information about running Flatpak instances.

To see full details of a running instance, you can open the file `/run/user/$UID/.flatpak/$INSTANCE/info`, where $INSTANCE is the instance ID reported by flatpak ps.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

`--columns=FIELD,…`

  Specify what information to show about each instance. You can list multiple fields, or use this option multiple times.

  Append :s[tart], :m[iddle], :e[nd] or :f[ull] to column names to change ellipsization.

## Fields

The following fields are understood by the `--columns` option:

instance

  Show the instance ID

application

  Show the application ID

arch

  Show the architecture

branch

  Show the application branch

commit

  Show the application commit

runtime

  Show the runtime ID

runtime-branch

  Show the runtime branch

runtime-commit

  Show the runtime commit

pid

  Show the PID of the wrapper process

child-pid

  Show the PID of the sandbox process

active

  Show whether the app is active (i.e. has an active window)

background

  Show whether the app is in the background (with no open windows)

all

  Show all columns

help

  Show the list of available columns

Note that field names can be abbreviated to a unique prefix.

## Examples

`$ flatpak ps --columns=application,pid,runtime,runtime-branch`

## See also

flatpak 1, flatpak-run 1